# $Revision: 1.23 $, $Date: 2005/01/04 09:03:40 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Inline
%define		pnam	Python
Summary:	Inline::Python Perl module
Summary(cs):	Modul Inline::Python pro Perl
Summary(da):	Perlmodul Inline::Python
Summary(de):	Inline::Python Perl Modul
Summary(es):	Mdulo de Perl Inline::Python
Summary(fr):	Module Perl Inline::Python
Summary(it):	Modulo di Perl Inline::Python
Summary(ja):	Inline::Python Perl ⥸塼
Summary(ko):	Inline::Python  
Summary(nb):	Perlmodul Inline::Python
Summary(pl):	Modu Perla Inline::Python
Summary(pt):	Mdulo de Perl Inline::Python
Summary(pt_BR):	Mdulo Perl Inline::Python
Summary(ru):	  Perl Inline::Python
Summary(sv):	Inline::Python Perlmodul
Summary(uk):	  Perl Inline::Python
Summary(zh_CN):	Inline::Python Perl ģ
Name:		perl-Inline-Python
Version:	0.21
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	eee389d273c5e0fa91126b0329213c6b
Patch0:		%{name}-Makefile_PL_lib64.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Inline >= 0.42
BuildRequires:	perl-Parse-RecDescent
BuildRequires:	python-devel
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Inline::Python - Write Perl subs and classes in Python.

%description -l pl
Modu Inline::Python - pozwalajcy na pisanie procedur i klas Perla w
Pythonie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p0

%build
%{__perl} Makefile.PL </dev/null \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TESTED ToDo
%{perl_vendorarch}/Inline/Python.pm
%dir %{perl_vendorarch}/auto/Inline/Python
%{perl_vendorarch}/auto/Inline/Python/Python.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Inline/Python/Python.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Inline-Python.spec,v $
Revision 1.23  2005/01/04 09:03:40  saq
- missing BR, rel 4

Revision 1.22  2004/12/26 17:22:51  saq
- release 3 for rebuild with python 2.4

Revision 1.21  2004/12/01 11:19:34  radek
- standarized

Revision 1.20  2004/11/03 22:30:28  paladine
- formatting

Revision 1.19  2004/08/13 19:03:50  radek
- release 2: that patch really fixes amd64

Revision 1.18  2004/08/13 19:01:11  radek
- release 1.1: added Makefile_PL_lib64.patch

Revision 1.17  2004/08/08 18:46:36  adamg
- updated to 0.21

Revision 1.16  2004/06/05 18:10:42  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.15  2004/05/07 01:12:27  ankry
- rel. 4

Revision 1.14  2004/05/06 18:09:44  ankry
- fixed perl-devel BR

Revision 1.13  2004/05/05 11:02:13  ankry
- cosmetics

Revision 1.12  2004/04/22 12:52:35  ankry
- license fixes & unification

Revision 1.11  2004/04/20 23:30:13  ankry
- ported to new bconds

Revision 1.10  2004/02/18 15:51:29  qboosh
- s/no/nb/ in Summary langs

Revision 1.9  2003/08/18 08:08:53  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:44  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:42  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 19:37:26  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:40:13  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:35:02  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/09/14 22:22:29  ankry
- added tests, translations
- added %%{rpmcflags} for compiler, release 2

Revision 1.1  2002/07/13 11:46:07  qboosh
- new
